<template>
  <kbd><slot /> <v-icon size="16">{{ icon }}</v-icon></kbd>
</template>
<script lang="ts">
import {
  Vue, Component, Prop,
} from 'vue-property-decorator';

/**
 * An icon component for text-inlined keyboard icons in help text
 */
@Component({
  inheritAttrs: false,
})
export default class Icn extends Vue {
  @Prop({ default: false })
  shift!: boolean;

  @Prop({ default: false })
  left!: boolean;

  @Prop({ default: false })
  right!: boolean;

  @Prop({ default: false })
  up!: boolean;

  @Prop({ default: false })
  down!: boolean;

  @Prop({ default: false })
  magnify!: boolean;

  @Prop({ default: false })
  pencil!: boolean;

  @Prop({ default: false })
  play!: boolean;

  @Prop({ default: false })
  pause!: boolean;

  @Prop({ default: false })
  backspace!: boolean;

  @Prop({ default: false })
  plus!: boolean;

  @Prop({ default: false })
  minus!: boolean;

  @Prop({ default: false })
  enter!: boolean;

  @Prop({ default: '' })
  v!: string;

  get icon() {
    if (this.shift) return 'mdi-apple-keyboard-shift';
    if (this.left) return 'mdi-arrow-left-bold';
    if (this.right) return 'mdi-arrow-right-bold';
    if (this.up) return 'mdi-arrow-up-bold';
    if (this.down) return 'mdi-arrow-down-bold';
    if (this.magnify) return 'mdi-magnify';
    if (this.pencil) return 'mdi-pencil';
    if (this.play) return 'mdi-play';
    if (this.pause) return 'mdi-pause';
    if (this.backspace) return 'mdi-backspace';
    if (this.plus) return 'mdi-plus';
    if (this.minus) return 'mdi-minus';
    if (this.enter) return 'mdi-arrow-left-bottom';
    return this.v;
  }
}
</script>
